(function (mdSmart) {
	var co;
	if(typeof bridge.getCurrentDevSN=='function'){
		co = '_' + bridge.getCurrentDevSN();
	}else{
		co = '';
	}
	var bDebug = false;
	var tmpTitle = "净化器";//用于保存卡片页标题
    var t;
    mdSmart.FC_P01 = mdSmart.FC_P01 || {};
	mdSmart.FC_COM = mdSmart.FC_COM || {};
    $(document).on('pageinit', 'div[id="FC_P01"]', function (event) {
        console.log('#FC_P01 pageinit.');
		// IOSLOG
		bridge.logToIOS("FC_P01 pageinit start");
		mdSmart.FC_P01.message = mdSmart.FC_COM.message = mdSmart.FC_COM.message != undefined?mdSmart.FC_COM.message:(new mdSmart.msg0xFC());

					
	    var cmdBytes = mdSmart.FC_P01.message.cmdCheckType();
		var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
			var deviceType = mdSmart.FC_P01.message.parseA0MessageForView(data);
			applianceId = bridge.getCurrentApplianceID();
			localStorage.setItem(applianceId + "deviceType",deviceType);
			mdSmart.FC_P01.cmdRequestApplianceStatus();
		});



		$(document).unbind('recieveMessage').bind('recieveMessage',{},  function(event,message){

			mdSmart.FC_P01.showStatus("",message);
		});
		$(document).bind('updateCard',{},  function(event,message){
			// 查询请求
			mdSmart.FC_P01.cmdRequestApplianceStatus();
		});
		// IOSLOG
		bridge.logToIOS("FC_P01 pageinit end");
    });
	
    $(document).on('pageshow', 'div[id="FC_P01"]', function (event) {
        console.log('#FC_P01 pageshow.');
		// IOSLOG
		bridge.logToIOS("FC_P01 pageshow start");
		var tmpApplianceId = bridge.getCurrentApplianceID();
		var tmpDeviceType = localStorage.getItem(tmpApplianceId + "deviceType");
		if (("" == tmpDeviceType) || (undefined == tmpDeviceType) || (null == tmpDeviceType)) {
			var tmpMessage = mdSmart.FC_COM.message = mdSmart.FC_COM.message != undefined?mdSmart.FC_COM.message:(new mdSmart.msg0xFC());
			var cmdBytes = tmpMessage.cmdCheckType();
			var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
		   	var deviceType = tmpMessage.parseA0MessageForView(data);
			var applianceId = bridge.getCurrentApplianceID();
			localStorage.setItem(applianceId + "deviceType",deviceType);
			});
		}
		
        mdSmart.FC_P01.prepareAndShow();
        $("#FC_P01_DIV_INFO").bind('tap', {}, mdSmart.FC_P01.gotoControlPanelPage);
		$("#FC_P01_DIV_OFF").bind('tap', {}, mdSmart.FC_P01.gotoControlPanelPage);
		$("#FC_P01_BTN_ANION_A").bind('tap', {}, mdSmart.FC_P01.cmdCtrolAnion);
		$("#FC_P01_BTN_ANION_CONFIRM").bind('tap', {}, mdSmart.FC_P01.cmdCtrolAnion);
		$("#FC_P01_BTN_TIMER_A").bind('tap', {}, mdSmart.FC_P01.cmdSetTimerClose);
		$("#FC_P01_BTN_POWER_A").bind('tap', {option:0}, mdSmart.FC_P01.cmdCtrolPower);
		$("#FC_P02_BTN_POWER_A").bind('tap', {option:1}, mdSmart.FC_P01.cmdCtrolPower);
        $(".card_bottom01").bind('tap', {option:1}, mdSmart.FC_P01.cmdCtrolPower);
		$("#FC_P01_LBL_ANION_DIALOG_L3").bind("tap",{},mdSmart.FC_P01.anionCheckbox);
		// IOSLOG
		bridge.logToIOS("FC_P01 pageshow end");
    });
    $(document).on('pagehide', 'div[id="FC_P01"]', function (event) {
        console.log('#FC_P01 pagehide.');
		// IOSLOG
		bridge.logToIOS("FC_P01 pagehide start");
        $("#FC_P01_DIV_INFO").unbind('tap');
		$("#FC_P01_DIV_OFF").unbind('tap');
        $("#FC_P01_BTN_ANION_A").unbind('tap');
		$("#FC_P01_BTN_ANION_CONFIRM").unbind('tap');
        $("#FC_P01_BTN_TIMER_A").unbind('tap');
        $("#FC_P01_BTN_POWER_A").unbind('tap');
		$("#FC_P02_BTN_POWER_A").unbind('tap');
		$(".card_bottom01").unbind('tap');
        $("#FC_P01_LBL_ANION_DIALOG_L3").unbind('tap');
        
        $("#FC_P01_BTN_ANION").removeClass("purifier_01_waiting");
		$("#FC_P01_BTN_POWER").removeClass("purifier_03_waiting");
		$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
		mdSmart.common.isCartBtnLockControl(false);
		// IOSLOG
		bridge.logToIOS("FC_P01 pagehide end");
    });

    mdSmart.FC_P01.prepareAndShow = function() {
        console.log("mdSmart.FC_P01.prepareAndShow");
		// IOSLOG
		bridge.logToIOS("FC_P01 prepareAndShow start");
		
		mdSmart.FC_P01.cmdRequestApplianceStatus();
		bridge.getCardTitle(function(message){
			$("p.title").html(message);
			tmpTitle = message;
		});
		
		$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
		$("#FC_P01_BTN_TIMER").html(mdSmart.i18n.TIMER_OPEN);
//        $("#FC_P01_BTN_MORE").html(mdSmart.i18n.MORE);
		if(mdSmart.FC_P01.isWaterAnion()){
			$("#FC_P01_LBL_ANION_DIALOG_L1").html(mdSmart.i18n.FC_P01_LBL_WATERANION_DIALOG_L1);
			$("#FC_P01_LBL_ANION_DIALOG_L2").html(mdSmart.i18n.FC_P01_LBL_WATERANION_DIALOG_L2);
		}else{
			$("#FC_P01_LBL_ANION_DIALOG_L1").html(mdSmart.i18n.FC_P01_LBL_ANION_DIALOG_L1);
			$("#FC_P01_LBL_ANION_DIALOG_L2").html(mdSmart.i18n.FC_P01_LBL_ANION_DIALOG_L2);			
		}
		
		
		$("#FC_P01_LBL_ANION_DIALOG_L3").html(mdSmart.i18n.FC_P01_LBL_ANION_DIALOG_L3);
		$("#FC_P01_BTN_ANION_CONFIRM").html(mdSmart.i18n.FC_P01_BTN_ANION_CONFIRM);
		$("#FC_P02_BTN_POWER").html(mdSmart.i18n.POWER_OPEN);
        $("#FC_P02_LBL_POWEROFF").html(mdSmart.i18n.FC_P02_LBL_POWEROFF);
        $('#popup_message a').html(mdSmart.i18n.CONFIRM);
		
		// For Debug
		if(bDebug == true){
			var title = JSON.stringify({
				messageBody: "空气净化器"
			});
			bridge.setCardTitle(title);
		}
		// IOSLOG
		bridge.logToIOS("FC_P01 prepareAndShow end");
    };
    // 功能机型区分
    mdSmart.FC_P01.functionDistinguish = function() { //不调用的代码屏蔽 delete by yuxg 2015-04-24
//      var cmdBytes = mdSmart.FC_P01.message.cmdCheckType();
//		var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
//			var deviceType = mdSmart.FC_P01.message.parseA0MessageForView(data);
//			applianceId = bridge.getCurrentApplianceID();
//			setCookie( applianceId + "deviceType",deviceType,3000);
//			
//			if(deviceType == "5" || deviceType == "6" || deviceType == "4"){
//				if(jsonStatus.pm2dot5Low.value == "0"){
//					$("#FC_P01_AIRQUALITY_VALUE").html("32");
//				}else {
//					$("#FC_P01_AIRQUALITY_VALUE").html(jsonStatus.pm2dot5Low.value);				
//				}
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:60px;");
//			}else{
//				$("#FC_P01_AIRQUALITY_VALUE").html(airLevelName);
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:45px;");
//			}
//		});
   };
    
    
	// 控制面板
    mdSmart.FC_P01.gotoControlPanelPage = function() {
        console.log("function:mdSmart.FC_P01.gotoControlPanelPage");
		// IOSLOG
		bridge.logToIOS("FC_P01 gotoControlPanelPage start");
		if(mdSmart.common.isOperationLock() == true){return false;}
		if(mdSmart.common.isPopupLock() == true){return false;}
        // popFlg 定时关 0:关 1:开
		var tempPar={popFlg:'1'};
		bridge.showControlPanelPage(tempPar);
		// IOSLOG
		bridge.logToIOS("FC_P01 gotoControlPanelPage end");
    };
	// 查询设备状态
	mdSmart.FC_P01.cmdRequestApplianceStatus = function() {
        console.log("function:mdSmart.FC_P01.cmdRequestApplianceStatus");
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdRequestApplianceStatus start");
		var cmdBytes = mdSmart.FC_P01.message.cmdRequestApplianceStatus();
		
		var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
			mdSmart.FC_P01.showStatus(cmdBytes,data);
		});
		mdSmart.FC_P01.afterSendCmd(cmdId,cmdBytes);
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdRequestApplianceStatus end");
    };
	// 电源控制
	mdSmart.FC_P01.cmdCtrolPower = function(event) {
		console.log("function:mdSmart.FC_P01.cmdCtrolPower");
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdCtrolPower start");
		if(mdSmart.common.isOperationLock() == true){return false;}
		if(mdSmart.common.isPopupLock() == true){return false;}
//		if(mdSmart.FC_P01.childrenLock == 0x01){
//		 	$('#popup_message p').html(mdSmart.i18n.CHILDRENLOCK_ON);
//			$('#popup_message').popup('open');
//			return false;
//		}
		
        if($("#FC_P01_BTN_POWER").html() == mdSmart.i18n.POWER_CLOSE){
			// 文言：确认关机
			$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSING);
			// 关机文言显示 5秒后自动返回"关机"文言
			t = window.setTimeout(function() {
				$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSE);
			}, 5000);

         } else {
			
		    if ($("#FC_P01_BTN_POWER").html() == mdSmart.i18n.POWER_CLOSING) {
				// 文言：正在关机
				$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSING_EXECUTE);
			}
            
            // 旋转
            if(mdSmart.common.isCartBtnLock()==true){return false;}
			
            var cmdBytes = "";
            //if($("#FC_P01_BTN_POWER").hasClass("switch-on")){
                cmdBytes = mdSmart.FC_P01.message.cmdCtrolPower(event.data.option);
            //}else{
                //cmdBytes = mdSmart.FC_P01.message.cmdCtrolPower(0x01);
            //}
 
            $("#FC_P01_BTN_POWER").addClass("purifier_03_waiting");
			$("#FC_P02_BTN_POWER").addClass("purifier_03_waiting");
			
			// 清空定时
            window.clearTimeout(t);
			
            var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
				// 取消旋转样式
				$("#FC_P01_BTN_POWER").removeClass("purifier_03_waiting");
				$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
				mdSmart.common.isCartBtnLockControl(false);
				// 状态显示
				mdSmart.FC_P01.showStatus(cmdBytes,data);
				
            },function(errorCode){
				if(errorCode== -1) {
					// 取消旋转样式
					$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSE);
					$("#FC_P01_BTN_POWER").removeClass("purifier_03_waiting");
					$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
					mdSmart.common.isCartBtnLockControl(false);
            	}
        	});
        	mdSmart.FC_P01.afterSendCmd(cmdId,cmdBytes);
        }
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdCtrolPower end");
    };
	// 弹出层中的checkbox效果
	mdSmart.FC_P01.anionCheckbox = function() {
        console.log("function:mdSmart.FC_P01.anionCheckbox");
		// IOSLOG
		bridge.logToIOS("FC_P01 anionCheckbox start");
		if(mdSmart.common.isOperationLock() == true){return false;}
		$(this).next("div").slideToggle("slow")
		$(this).toggleClass("checkbox_ok");
		$(this).siblings(".checkbox_ok").removeClass("checkbox_ok");
		// IOSLOG
		bridge.logToIOS("FC_P01 anionCheckbox end");
	};
	// 负离子，净离子，机控制
	mdSmart.FC_P01.cmdCtrolAnion = function() {
        console.log("function:mdSmart.FC_P01.cmdCtrolAnion");
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdCtrolAnion start");
		if(mdSmart.common.isOperationLock() == true){return false;}
//		if(mdSmart.FC_P01.childrenLock == 0x01){
//		 	$('#popup_message p').html(mdSmart.i18n.CHILDRENLOCK_ON);
//			$('#popup_message').popup('open');
//			return false;
//		}
		

		if($(this).attr("id")=="FC_P01_BTN_ANION_CONFIRM"){
			mdSmart.common.closePopup("anionDialog");
			if($("#FC_P01_BTN_POWER").hasClass("switch-off")){
				return false;
			}
			if($(".checkbox").hasClass("checkbox_ok")){
				mdSmart.common.setLsVar(0xFC,"anionConfirm_hide",true);
			}
			return false;
		} else {
			if($("#FC_P01_BTN_POWER").hasClass("switch-off")){
				console.log("power off status");
				return false;
			}
			if(mdSmart.common.isPopupLock() == true){return false;}
			
			// 旋转
			if(mdSmart.common.isCartBtnLock()==true){return false;} 
		
			var cmdBytes = "";
			//机型判断
       applianceId = bridge.getCurrentApplianceID();
       var deviceType = localStorage.getItem(applianceId + "deviceType");
       
	   bridge.logToIOS(applianceId + "deviceType="+deviceType);
       if (deviceType == "1") {//NM 没有净离子 有负离子 
       	  if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
       } else if (deviceType == "2") {//NM1 没有净离子 没有负离子
       	  if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
         //return false;  
       } else if (deviceType == "3") {//NN 没有净离子，没有负离子
       	  if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
         //return false; 	
       } else if (deviceType == "4") {//NI没有净离子 有负离子
       	    if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
       	
       } else if (deviceType == "5") {//NY 没有净离子 有负离子
           if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
//				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
       		    cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x00);
			}else{
//				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x01);
			}
       	
       } else if (deviceType == "6") {//NL 没有负离子  有净离子
       	
       		if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
       		    cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x00);
			}else{
				 cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x01);
			}
       } else if (deviceType == "7") {
       	if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
       } else if (deviceType == "10") {//NL 没有负离子  有净离子
       	
       		if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
       		    cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x00);
			}else{
				 cmdBytes = mdSmart.FC_P01.message.cmdCtrolWaterion(0x01);
			}
       }  else{
       	if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open")){
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x00);
			}else{
				cmdBytes = mdSmart.FC_P01.message.cmdCtrolAnion(0x01);
			}
       }
		
			// 旋转
			$("#FC_P01_BTN_ANION").addClass("purifier_01_waiting");
			var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
				// 旋转
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_waiting");
				mdSmart.common.isCartBtnLockControl(false);
				mdSmart.FC_P01.showStatus(cmdBytes,data);
				if($("#FC_P01_BTN_ANION").hasClass("purifier_01_open") && mdSmart.common.getLsVar(0xFC,"anionConfirm_hide") != true){
					mdSmart.common.doPopupByA("FC_P01_BTN_ANION_DIALOG");
				}
			},function(errorCode){
				if(errorCode== -1) {
					// 旋转
					$("#FC_P01_BTN_ANION").removeClass("purifier_01_waiting");
					mdSmart.common.isCartBtnLockControl(false);
				}
			});
			mdSmart.FC_P01.afterSendCmd(cmdId,cmdBytes);
			return false;
		}
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdCtrolAnion end");
    };
	// 定时关机:定时n小时
	mdSmart.FC_P01.cmdSetTimerClose = function() {
		console.log("function:mdSmart.FC_P01.cmdSetTimerClose");
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdSetTimerClose start");
		if($("#FC_P01_BTN_POWER").hasClass("switch-off")){return false;}
		if(mdSmart.common.isOperationLock() == true){return false;}
		if(mdSmart.common.isPopupLock() == true){return false;}
		
//		if(mdSmart.FC_P01.childrenLock == 0x01){
//		 	$('#popup_message p').html(mdSmart.i18n.CHILDRENLOCK_ON);
//			$('#popup_message').popup('open');
//			return false;
//		}
		
		//$("#FC_P01_TEXT_TIMER").val(mdSmart.FC_P01.timingCloseAbsoluteHours+":00")
		//myScroller.show();
		//mdSmart.common.bPopupLock = true;
 
        // popFlg 定时关 0:关 1:开
        if (mdSmart.FC_P01.timingClose == '1') {
 
            // 旋转
            if(mdSmart.common.isCartBtnLock()==true){return false;}
 
            var cmdBytes = mdSmart.FC_P01.message.cmdSetTimerClose(0x00);
 
            // 旋转
            $("#FC_P01_BTN_TIMER").addClass("purifier_02_waiting");
            var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
                // 取消旋转样式
                $("#FC_P01_BTN_TIMER").removeClass("purifier_02_waiting");
                mdSmart.common.isCartBtnLockControl(false);
                // 状态显示
                mdSmart.FC_P01.showStatus(cmdBytes,data);
                                               
             },function(errorCode){
                 if(errorCode== -1) {
                     // 取消旋转样式
                     $("#FC_P01_BTN_TIMER").removeClass("purifier_02_waiting");
                     mdSmart.common.isCartBtnLockControl(false);
                }
            });
            mdSmart.FC_P01.afterSendCmd(cmdId,cmdBytes);
 
        } else {
            var tempPar={popFlg:''+mdSmart.FC_P01.timingClose+''};
            bridge.showControlPanelPage(tempPar);
        }
		// IOSLOG
		bridge.logToIOS("FC_P01 cmdSetTimerClose end");
    };

	// 命令发送后处理
	mdSmart.FC_P01.afterSendCmd = function(cmdId, cmdBytes) {
        console.log("function:mdSmart.FC_P01.afterSendCmd");
		// For Debug
		if(bDebug == true){
			
			var cmdMessageType = cmdBytes[9],cmdMessageBody=cmdBytes.slice(10,cmdBytes.length - 1);;
			var statusMessage = mdSmart.FC_P01.message.getStatusMessage();
			var messageBody = mdSmart.message.createMessageBody(22);
			if(statusMessage != undefined){
				messageBody = statusMessage.slice(10,statusMessage.length - 1);
			}else{
				mdSmart.message.setBits(messageBody,1,0,1,0x01);
				mdSmart.message.setByte(messageBody,13,0x01);
				mdSmart.message.setByte(messageBody,14,0x01);
			}
			var messageType = cmdMessageType;
			if(messageType == 0x03){
				mdSmart.message.setByte(messageBody,0,0xC8);
				mdSmart.message.setBits(messageBody,12,0,2,101);
				mdSmart.message.setBits(messageBody,2,4,7,0x01);
				mdSmart.message.setBit(messageBody,9,6,0);
			}
			if(messageType == 0x02){
				mdSmart.message.setByte(messageBody,0,0xC8);
				mdSmart.message.setBit(messageBody,1,0,mdSmart.message.getBit(cmdMessageBody,1,0));
				mdSmart.message.setBits(messageBody,2,4,7,0x01);
				mdSmart.message.setBit(messageBody,3,7,mdSmart.message.getBit(cmdMessageBody,3,7));
				mdSmart.message.setByte(messageBody,4,mdSmart.message.getByte(cmdMessageBody,4));
				mdSmart.message.setByte(messageBody,5,mdSmart.message.getByte(cmdMessageBody,5));
				mdSmart.message.setByte(messageBody,6,mdSmart.message.getByte(cmdMessageBody,6));
				mdSmart.message.setByte(messageBody,8,mdSmart.message.getByte(cmdMessageBody,8));
				mdSmart.message.setBit(messageBody,9,6,mdSmart.message.getBit(cmdMessageBody,9,6));
				
			}			
			var message = mdSmart.message.createMessage(0xFC,messageType,messageBody);
			var bridgeMessage = mdSmart.message.converMessageToBridgePStr(message);
			bridge.callbackFunction(cmdId,bridgeMessage);
		}
    };
	// 收到消息后处理
	mdSmart.FC_P01.showStatus = function(dataRequest,dataBack){
        console.log("function:mdSmart.FC_P01.showStatus");
		// IOSLOG
		//alert("receive="+dataBack);
		bridge.logToIOS("FC_P01 showStatus start");
		
		var jsonStatus = mdSmart.FC_P01.message.parseMessageForView(dataBack).status;
		
		// 童锁状态
		mdSmart.FC_P01.childrenLock = jsonStatus.childrenLock.value;
		
		// 消息类型
		var messageType = mdSmart.FC_P01.message.parseMessageForView(dataBack).messageType;

		// 异常消息类型
		if (messageType == 0x05) {
			return false;
		}
		
		// 灰尘传感器空气质量
		var dustSensorAirQuality = jsonStatus.dustSensorAirQuality.value;
		// 异味传感器空气质量
		var smellSensorAirShow = jsonStatus.smellSensorAirShow.value;
		// 文言：综合质量等级
		var airQualityName = mdSmart.i18n.COMPREHENSIVE_QUALITY;
        var areaTopClass = "";
		var airLevelName = "";
		// PM2.5浓度
		var airQualityValue = jsonStatus.getAirQuality();
		// 综合质量等级初始化
		var comprehensiveQuality = 0;
		if (dustSensorAirQuality >= smellSensorAirShow) {
			comprehensiveQuality = dustSensorAirQuality;
		} else {
			comprehensiveQuality = smellSensorAirShow;
		}
		
		switch(comprehensiveQuality){
			case 0:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_1;
                areaTopClass = "card_purifier";
				airLevelName = mdSmart.i18n.AIR_LEVEL_1;
				break;
			case 1:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_2;
                areaTopClass = "card_purifier";
				airLevelName = mdSmart.i18n.AIR_LEVEL_1;
				break;
			case 2:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_3;
                areaTopClass = "card_bg_light_pollution";
				airLevelName = mdSmart.i18n.AIR_LEVEL_2;
				break;
			case 3:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_4;
                areaTopClass = "card_bg_light_pollution";
				airLevelName = mdSmart.i18n.AIR_LEVEL_2;
				break;
			case 4:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_5;
                areaTopClass = "card_bg_middle_pollution";
				airLevelName = mdSmart.i18n.AIR_LEVEL_3;
				break;
			case 5:
				//airQualityName = mdSmart.i18n.AIRQUALITY_LEVEL_6;
                areaTopClass = "card_bg_middle_pollution";
				airLevelName = mdSmart.i18n.AIR_LEVEL_3;
				break;
		}
		
//		$("#FC_P01_AIRQUALITY_VALUE").html(airLevelName);
		$("#FC_P01_AIRQUALITY_NAME").html(airQualityName);
//        $("#FC_P01_DIV_INFO").removeClass().addClass(areaTopClass);
//		$('#FC_P01_DIV_INFO').css('backgroundImage','url(images/'+areaTopClass+co+'.png)');
		if(jsonStatus.settingMode1.value == 0x01){
			$("#FC_P01_WORKMODE").html(mdSmart.i18n.WORK_MODE_AUTO);
//			$("#FC_P01_WORKMODE_IMG").attr("src","images/purifier_mode01.png");
//			$("#FC_P01_WORKMODE_IMG").show();
		}else if(jsonStatus.settingMode1.value == 0x02){
			$("#FC_P01_WORKMODE").html(mdSmart.i18n.WORK_MODE_HAND);
//			$("#FC_P01_WORKMODE_IMG").attr("src","images/purifier_mode02.png");
//			$("#FC_P01_WORKMODE_IMG").show();
		}else if(jsonStatus.settingMode1.value == 0x03){
			$("#FC_P01_WORKMODE").html(mdSmart.i18n.WORK_MODE_SLEEP);
//			$("#FC_P01_WORKMODE_IMG").attr("src","images/purifier_mode03.png");
//			$("#FC_P01_WORKMODE_IMG").show();
		}else{
			$("#FC_P01_WORKMODE").html("");
//			$("#FC_P01_WORKMODE_IMG").attr("src","");
//			$("#FC_P01_WORKMODE_IMG").hide();
		}
		mdSmart.FC_P01.powerValue = jsonStatus.runningState.value;
		if(jsonStatus.runningState.value == 0x01){
			$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSE);
			$("#FC_P01_BTN_POWER").removeClass("switch-off").addClass("switch-on");
			$("#FC_P01_BTN_POWER").css("opacity","1");
		}
		//else{
			//$("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_OPEN);
			//$("#FC_P01_BTN_POWER").removeClass("switch-on").addClass("switch-off");
			//$("#FC_P01_BTN_POWER").css("opacity","0.5");
		//}
		
		if (mdSmart.FC_P01.powerValue == 0) {
			// 关机页面显示
			setTimeout(function(){
				bridge.jumpOtherPlugin("card_close");
			},0);
 			mdSmart.FC_P01.showPowerOff();
		} else if(mdSmart.FC_P01.powerValue == 1){
			// 开机页面显示
			setTimeout(function(){
				bridge.jumpOtherPlugin("card_open");
			},0);
 			mdSmart.FC_P01.showPowerOn();
		}

       //机型判断
       applianceId = bridge.getCurrentApplianceID();
       var deviceType = localStorage.getItem(applianceId + "deviceType");
	   bridge.logToIOS("FC_P01 get " + applianceId + "deviceType="+deviceType);
       
       if (deviceType == "1") {//NM 没有净离子 有负离子 
       	 $("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
       	 // 负离子 0:关 1:开
		if(jsonStatus.anion.value == 0x01){
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
		}else{
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
		}
       } else if (deviceType == "2") {//NM1 没有净离子 没有负离子
         	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);  
       	 	// 负离子 0:关 1:开
			if(jsonStatus.anion.value == 0x01){
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
			}else{
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
			} 
       } else if (deviceType == "3") {//NN 没有净离子，没有负离子
			$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
       	 	// 负离子 0:关 1:开
			if(jsonStatus.anion.value == 0x01){
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
			}else{
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
			}       	
       } else if (deviceType == "4") {//NI没有净离子 有负离子
       	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
       	// 负离子 0:关 1:开
		if(jsonStatus.anion.value == 0x01){
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
		}else{
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
		}
       	
       } else if (deviceType == "5") {//NY 没有净离子 有负离子
       	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
       	// 负离子 0:关 1:开
		if(jsonStatus.waterIon.value == 0x01){
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
		}else{
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
		}
       	
       } else if (deviceType == "6") {//NL 没有负离子  有净离子
       	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.BTN_WATERION);
       	     	// 负离子 0:关 1:开
		if(jsonStatus.waterIon.value == 0x01){
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
		}else{
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
		}
       	
       } else if (deviceType == "7") {//NI没有净离子 有负离子
       	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.ANION_OPEN);
       	// 负离子 0:关 1:开
		if(jsonStatus.anion.value == 0x01){
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
		}else{
			$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
			//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
		}
       	
       } else if (deviceType == "10") {//NL 没有负离子  有净离子
	       	$("#FC_P01_BTN_ANION").html(mdSmart.i18n.BTN_WATERION);
	       	     	// 负离子 0:关 1:开
			if(jsonStatus.waterIon.value == 0x01){
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_close").addClass("purifier_01_open");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_close");
			}else{
				$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
				//$("#FC_P01_BTN_ANION").attr("className","purifier_01_open");
			}
       	
       } else  {
       	$("#FC_P01_BTN_ANION").removeClass("purifier_01_open").addClass("purifier_01_close");
       }
       
		if(mdSmart.FC_P01.isWaterAnion()){
			$("#FC_P01_LBL_ANION_DIALOG_L1").html(mdSmart.i18n.FC_P01_LBL_WATERANION_DIALOG_L1);
			$("#FC_P01_LBL_ANION_DIALOG_L2").html(mdSmart.i18n.FC_P01_LBL_WATERANION_DIALOG_L2);
		}else{
			$("#FC_P01_LBL_ANION_DIALOG_L1").html(mdSmart.i18n.FC_P01_LBL_ANION_DIALOG_L1);
			$("#FC_P01_LBL_ANION_DIALOG_L2").html(mdSmart.i18n.FC_P01_LBL_ANION_DIALOG_L2);			
		}
		
		mdSmart.FC_P01.timingCloseAbsoluteHours = jsonStatus.timingCloseAbsoluteHours.value;
		mdSmart.FC_P01.timingCloseAbsoluteMinutes = jsonStatus.timingCloseAbsoluteMinutes.value;
        // 定时关 0:关 1:开
        mdSmart.FC_P01.timingClose = jsonStatus.timingClose.value;
		if(mdSmart.FC_P01.timingClose == 0x01){
			$("#FC_P01_BTN_TIMER").removeClass("purifier_02_close").addClass("purifier_02_open");
			//$("#FC_P01_BTN_TIMER").attr("className","purifier_02_close");
		}else if(jsonStatus.timingClose.value == 0){
			$("#FC_P01_BTN_TIMER").removeClass("purifier_02_open").addClass("purifier_02_close");
			//$("#FC_P01_BTN_TIMER").attr("className","purifier_02_open");
		}
		
		
		$("#FC_P01_BTN_ANION_A").show();
		$("#FC_P01_BTN_TIMER_A").show();
		$("#FC_P01_BTN_POWER_A").show();
		$("#FC_P01_BTN_POWER_A").bind('tap', {option:0}, mdSmart.FC_P01.cmdCtrolPower);
		//if(jsonStatus.runningState.value != 0x01){
			//if($.mobile.activePage.attr("id") == "FC_P01"){
				//$.mobile.changePage("#FC_P02", "turn");
			//}
		//}
		
		applianceId = bridge.getCurrentApplianceID();
		var deviceType = localStorage.getItem(applianceId + "deviceType");
		//alert(applianceId + "\n" + deviceType);
		if(undefined == deviceType || deviceType == null){
			var cmdBytes = mdSmart.FC_P01.message.cmdCheckType();
			var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
				deviceType = mdSmart.FC_P01.message.parseA0MessageForView(data);
				applianceId = bridge.getCurrentApplianceID();
				localStorage.setItem(applianceId + "deviceType",deviceType);
				if(deviceType == "5" || deviceType == "6" || deviceType == "4" || deviceType == "7" || deviceType == "10"){
					$("#FC_P01_AIRQUALITY_VALUE").html(mdSmart.FC_P01.airQualityIsInvalid(jsonStatus.getAirQuality()));
//					$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:60px;display:block;height:80px;line-height:80px;font-family: 'helveticaneue_ultlt';text-shaow: 0 4px 4px rgba(0, 0, 0,0.1);");
					var airQualityShow = airQualityName + ":"+ airLevelName;
					$("#FC_P01_AIRQUALITY_NAME").html(airQualityShow);
				}else{
					$("#FC_P01_AIRQUALITY_VALUE").html(airLevelName);
//					$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:45px;");
//					$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:45px;display:block;height:80px;line-height:80px;font-family: 'helveticaneue_ultlt';text-shaow: 0 4px 4px rgba(0, 0, 0,0.1);");
				}
			});
		}else{
			
			if(deviceType == "5" || deviceType == "6" || deviceType == "4" || deviceType == "7" || deviceType == "10"){
				$("#FC_P01_AIRQUALITY_VALUE").html(mdSmart.FC_P01.airQualityIsInvalid(jsonStatus.getAirQuality()));
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:60px;");
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:60px;display:block;height:80px;line-height:80px;font-family: 'helveticaneue_ultlt';text-shaow: 0 4px 4px rgba(0, 0, 0,0.1);");
				var airQualityShow = airQualityName + ":"+ airLevelName;
				$("#FC_P01_AIRQUALITY_NAME").html(airQualityShow);
			}else{
				$("#FC_P01_AIRQUALITY_VALUE").html(airLevelName);
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:45px;");
//				$("#FC_P01_AIRQUALITY_VALUE").attr("style","font-size:45px;display:block;height:80px;line-height:80px;font-family: 'helveticaneue_ultlt';text-shaow: 0 4px 4px rgba(0, 0, 0,0.1);");
			}
		}
		
		
		if(bDebug == true){
			var strStatus = mdSmart.common.showJSON(jsonStatus);
			console.log("send message:"+mdSmart.message.convertTo16Str(dataRequest));
			console.log("receive message:"+mdSmart.message.convertTo16Str(dataBack));
			console.log(strStatus);
			//$.mobile.activePage.append('<span id="messageSpan" style="position:relative;top:0px;">'+"<br>s:"+mdSmart.message.convertTo16Str(dataRequest)+"<br>r:"+mdSmart.message.convertTo16Str(dataBack)+"<br>"+strStatus+'</span>');
		}
		// IOSLOG
		bridge.logToIOS("FC_P01 showStatus end");

        $('.data_infoHide').show();
        $('.card_bottom').show();
        $('.card_bottom01').show();
	};
	
	// 关机页面显示
	mdSmart.FC_P01.showPowerOff = function() {
		console.log("function:mdSmart.FC_P01.showPowerOff");
		// IOSLOG
		bridge.logToIOS("FC_P01 showPowerOff start");
		$("#FC_P01_ON").hide();
		$("#FC_P01_OFF").show();
//		$('#FC_P01_DIV_OFF').css('backgroundImage','url(images/card_purifier_off'+co+'.png)');
		// IOSLOG
		bridge.logToIOS("FC_P01 showPowerOff end");
	};
	
	// 开机页面显示
	mdSmart.FC_P01.showPowerOn = function() {
		console.log("function:mdSmart.FC_P01.showPowerOn");
		// IOSLOG
		bridge.logToIOS("FC_P01 showPowerOn start");
		$("#FC_P01_ON").show();
		$("#FC_P01_OFF").hide();
		// IOSLOG
		bridge.logToIOS("FC_P01 showPowerOn end");
	};
	
	mdSmart.FC_P01.airQualityIsInvalid= function (quality) {
//		var qualityIsInvalid = false;
//		if ((quality == "0") || (quality == "65535")) {
//		    	qualityIsInvalid = true;
//		  }
//		   return qualityIsInvalid ;
		var qualityIsInvalid = "";
		if (quality == "0") {
		    	qualityIsInvalid = "32";
		}else if(quality >="999"){
		  	qualityIsInvalid = "---";
		}else{
		  	qualityIsInvalid = quality;
		}
		return qualityIsInvalid ;
	};
	
	mdSmart.FC_P01.isWaterAnion = function() {
		var isWaterAnion = false;
		var applianceId = bridge.getCurrentApplianceID();
		var deviceType = localStorage.getItem(applianceId + "deviceType");
		if(deviceType == "6" || deviceType == "10"){
			isWaterAnion = true;
		}
		return isWaterAnion;
	};
	
	
})(mdSmart);
