function showMessage(message) {
	$('.messagewrap').children().first().html(message);
	setTimeout("$('.messagewrap').stop(false,false).fadeIn()", 40);
	setTimeout("$('.messagewrap').stop(false,false).fadeOut('slow')", 1000);
}

$(function() {
	$(document).touchmove(function(event) {
		event.preventDefault();
	});

	if ((navigator.userAgent.match(/iPhone/i)) || (navigator.userAgent.match(/iPod/i)) || (navigator.userAgent.match(/iPad/i))) {
		if (document.body.clientWidth > 370) {
			$('#modeText').css('font-size', '2.0rem');
			$('#info-footer').css('font-size', '1.6rem');
			$('.xbtn_txt').css('font-size', '1.6rem');
		}
	}

	//数字化高度，百分比的高度不能用于transition
	var bodyHeight = $('#main').height();
	var bodyWidth = $('#main').width();
	$('#t1').height(bodyHeight * 3 / 4);
	$('#t2').height(bodyHeight / 4);

	$('#container').width(bodyWidth * 0.7);
	$('#container').height(bodyHeight * 3 / 4 * 0.7);

	//设置container为正方形
	if ($('#container').width() > $('#container').height()) {
		$('#container').width($('#container').height());
	} else {
		$('#container').height($('#container').width());
	}
	$('#container').css('top', (bodyHeight * 91 / 110 - $('#container').height()) / 2);
	$('#small-circle').height($('#container').height() * 0.64);
	$('#small-circle').width($('#container').width() * 0.64);
	$('#small-circle').css('top', $('#container').offset().top + ($('#container').height() - $('#small-circle').height()) / 2);
	$('#info-footer').css('top', bodyHeight * 61 / 80 - $('#info-footer').height());
	$('#smallFunction').css('top', bodyHeight * 61 / 80 - $('#info-footer').height());
	$('.xbtn').height($('.xbtn').width());
	var t2_top_height = (bodyHeight / 4 - $('.xbtn').height()) / 2;
	$('#t2_top').height(t2_top_height);
	$('.t3').height((bodyHeight * 3 / 5 - t2_top_height) / 3);

	function getRandomInt(min, max) {
		return Math.floor(Math.random() * (max - min + 1)) + min;
	}

	function getNextPoint(x, y, distance) {
		var length = Math.sqrt(Math.pow(x, 2) + Math.pow(y, 2));
		var t = distance / length;
		var px = (1 - t) * x;
		var py = (1 - t) * y;
		return {
			x: px,
			y: py
		};
	}

	var radius = $('#container').width() / 2;
	$('#canvas').prop('width', $('#t1').height()).attr('height', $('#t1').height());
	var canvas = document.getElementById('canvas');
	var context = canvas.getContext('2d');
	// Move registration point to the center of the canvas
	context.translate(canvas.width / 2, canvas.height / 2);
	context.fillStyle = '#fff';

	var numCircles = 50,
		circles = [],
		minSize = 1,
		maxSize = 2;
	speed = 1;
	var ml = Math.sqrt(Math.pow($('#t1').height() / 2, 2) + Math.pow($('#t1').width() / 2, 2));

	function buildArray() {
		'use strict';
		for (var i = 0; i < numCircles; i++) {
			var angle = Math.random() * Math.PI * 2;
			var x = Math.round(Math.cos(angle) * getRandomInt(ml, ml));
			var y = Math.round(Math.sin(angle) * getRandomInt(ml, ml));
			var size = getRandomInt(minSize, maxSize);
			var opacity = getRandomInt(10, 18) / 10;
			var circle = {
				x: x,
				y: y,
				size: size,
				opacity: opacity
			};
			circles.push(circle);
		}
	}

	function build() {
		'use strict';
		if (circles.length == 0) {
			buildArray();
		}
		for (var h = circles.length - 1; h >= 0; h--) {
			var curCircle = circles[h];
			if (curCircle.opacity > 1) {
				curCircle.opacity -= 0.01;
				continue;
			}
			context.globalAlpha = curCircle.opacity;
			context.beginPath();
			context.arc(curCircle.x, curCircle.y, curCircle.size, 0, 2 * Math.PI);

			var distance = Math.sqrt(Math.pow(curCircle.x, 2) + Math.pow(curCircle.y, 2));
			if (distance > radius + 60) {
				curCircle.x = getNextPoint(curCircle.x, curCircle.y, speed * 1).x;
				curCircle.y = getNextPoint(curCircle.x, curCircle.y, speed * 1).y;
			} else {
				curCircle.opacity -= 0.02;
				curCircle.x = getNextPoint(curCircle.x, curCircle.y, speed * 4).x;
				curCircle.y = getNextPoint(curCircle.x, curCircle.y, speed * 4).y;
			}

			if (Math.sqrt(Math.pow(curCircle.x, 2) + Math.pow(curCircle.y, 2)) < radius * .8) {
				circles.splice(h, 1);
			}
			context.closePath();
			context.fill();
		}
	}
	window.requestAnimFrame = (function(callback) {
		'use strict';
		return window.requestAnimationFrame ||
			window.webkitRequestAnimationFrame ||
			window.mozRequestAnimationFrame ||
			window.oRequestAnimationFrame ||
			window.msRequestAnimationFrame ||
			function(callback) {
				setTimeout(callback, 1000 / 60);
			};
	})();


	window.cancelAnimationFrame = (function(callback) {
		'use strict';
		return window.requestAnimationFrame ||
			window.webkitRequestAnimationFrame ||
			window.mozRequestAnimationFrame ||
			window.oRequestAnimationFrame ||
			window.msRequestAnimationFrame ||
			function(callback) {
				clearTimeout(callback, 1000 / 60);
			};
	})();

	function animate() {

		'use strict';
		var canvas = document.getElementById("canvas"),
			context = canvas.getContext("2d");
		context.clearRect(-canvas.width / 2, -canvas.height / 2, canvas.width, canvas.height);
		if (s.runStatus == 1) {
			build();
			requestAnimFrame(function() {
				animate();
			});
		} else {
			cancelAnimationFrame(function() {
				animate();
			});
		}
	}

	buildArray();

	$('.xbtn').on('touchstart mousedown', function(event) {
		$(this).addClass('hover');
	}).on('touchend mouseup', function(event) {
		$(this).removeClass('hover');
	});

	$(document).touchmove(function(event) {
		event.preventDefault();
		event.stopPropagation();
	});
	$('.t3').touchmove(function(event) {
		event.preventDefault();
		event.stopPropagation();
	});
	$('.popup').click(function(event) {
		$(this).hide();
	});
	$('.popupContainer').click(function(event) {
		event.preventDefault();
		event.stopPropagation();
	});

	//初始化状态
	function init() {
		$('#pmText').text(s.pmLowValue);
		if(s.humidity_cur == "--")
		{
			$("#percentUnit").hide();
		}
		else{
			$("#percentUnit").show();
		}
		$('#humidityText').text(s.humidity_cur);
		if(s.indoorTmp == "--")
		{
			$('#indoorTemp').text(s.indoorTmp);
		}
		else{
			$('#indoorTemp').text(s.indoorTmp + "℃");
		}
		
		if (s.windSpeed > 100) {
			$('#windSpeed').text("风速 自动风");
		} else if(s.windSpeed == "--"){
			$('#windSpeed').text("风速 " + s.windSpeed);
		}
		else {
			$('#windSpeed').text("风速 " + s.windSpeed + '%');
		}
		$('#modeText').text(modes[s.mode_FC_return]);

		if (s.runStatus == 0) { //关机状态
			$('#roundBg01').removeClass('cycleZoom01');
			$('#roundBg02').removeClass('cycleZoom02');
			$('#roundBg01').css({
				'opacity': 0.3
			});
			$('#roundBg02').css({
				'opacity': 0.3
			});
			$('#canvas').hide();

			$('#airQua').text('己关机');
			$('#t1').css({
				'background-color': 'gray'
			});

		} else {
			animate();
			$('#roundBg01').addClass('cycleZoom01');
			$('#roundBg02').addClass('cycleZoom02');
			$('#canvas').show();
			$('#airQua').text('室内空气质量 ' + s.airQua);
			$('#t1').css({
				'background-color': '#1fba73'
			});
			if (s.ionSetSwitch == '1') {
				$('#negative').addClass('selected');
			} else {
				$('#negative').removeClass('selected');
			}
			if (s.mode_FD_return == '1') {
				$('#humidi').addClass('selected');
			} else {
				$('#humidi').removeClass('selected');
			}
			if (s.childLock == '1') {
				$('#childrenlock').addClass('selected');
			} else {
				$('#childrenlock').removeClass('selected');
			}
			if (s.waterIcon == '1') {
				$('#watericon').addClass('selected');
			} else {
				$('#watericon').removeClass('selected');
			}
			if (s.atmosphere == '0' && ss.hasAtmosphere) {
				$('#atmosphere').addClass('selected');
				$("#small-light").css("display", "block");
			} else {
				$('#atmosphere').removeClass('selected');
				$("#small-light").css("display", "none");
			}


		}
	}

	$('#windSpeedDiv').height($('#main').height());
	$('#windSpeedDiv').width($('#main').width());
	$('#timerDiv').height($('#main').height());
	$('#timerDiv').width($('#main').width());
	$('#modeDiv').height($('#main').height());
	$('#modeDiv').width($('#main').width());

	//风速调节
	$('#flip-windauto').flipswitch({
		'theme': 'a'
	}).on("change", function() {
		if ($('#flip-windauto').val() == 0) {
			$('#slider-windspeed').slider('enable');
		} else {
			$('#slider-windspeed').slider('disable');
		}
	});
	$('#slider-windspeed').slider({
		highlight: true,
		theme: 'a'
	});
	$("div.ui-btn-active").css("background", "#1fba73");

	//定时器
	$("#sel").mobiscroll().select({
		display: 'inline',
		showInput: false,
		group: {
			groupWheel: true,
			header: false,
			clustered: true
		},
		minWidth: 150,
		height: 30,
		rows: 5
	});

	//改变mobiscroll样式
	$(".dwwol").css('transform', 'scaleX(1.2)');
	$(".dwc").css('width', '50%');

	init();


	var preY = -1;
	var dragDirect;
	var forgedHeight = bodyHeight * 3 / 4; //用于缩放，不真正改变t1的高度

	$('#main').touchstart(function(event) {
		event.preventDefault();
		$('#t1').removeClass('t1_transition');
		$('#t2').removeClass('t2_and_info_footer_transition');
		$('#container').removeClass('container_transition');
		$('#small-circle').removeClass('small_circle_transition');
		$('#info-footer').removeClass('t2_and_info_footer_transition');
		$('.downHidden').removeClass('downHidden_transition');
		$('#container').css({
			'pointer-events': 'auto'
		});

		var y = event.originalEvent.changedTouches[0].clientY; // Get the vertical coordinate
		preY = y;
	});

	$('#main').touchmove(function(event) {
		event.preventDefault();
		$('.notfirstrow').css('opacity', 1);
		var y = event.originalEvent.changedTouches[0].clientY; // Get the vertical coordinate

		var ty = forgedHeight + y - preY;
		if (ty < bodyHeight * 2 / 3.5) {
			ty = bodyHeight * 2 / 3.5;
		}
		if (ty > bodyHeight * 3 / 4) {
			ty = bodyHeight * 3 / 4;
		}

		if (forgedHeight != ty) {
			forgedHeight = ty;
			$('#t1').css({
				'transform': 'scaleY(' + forgedHeight / (bodyHeight * 3 / 4) + ')',
				'transform-origin': 'top'
			});
			$('#container').css({
				'opacity': (ty - bodyHeight * 2 / 3.5) / (bodyHeight * (3 / 4 - 2 / 3.5))
			});
			$('#t2').css({
				'transform': 'translateY(-' + ((bodyHeight * 3 / 4) * (1 - forgedHeight / (bodyHeight * 3 / 4))) + 'px)'
			});
			$('#info-footer').css({
				'transform': 'translateY(-' + ((bodyHeight * 3 / 4) * (1 - forgedHeight / (bodyHeight * 3 / 4))) + 'px)'
			});
			$('#small-circle').css({
				'transform': 'translate(-50%, -' + (bodyHeight * 3 / 4 - forgedHeight) / 2 + 'px)'
			});
			$('.downHidden').css({
				'opacity': 1 - (ty - bodyHeight * 2 / 3.5) / (bodyHeight * (3 / 4 - 2 / 3.5))
			});

		}

		if (y > preY) {
			dragDirect = 'down';
		} else {
			dragDirect = 'up';
		}
		preY = y;

	});
	$('#main').touchend(function(event) {
		event.preventDefault();
		$('#t1').addClass('t1_transition');
		$('#t2').addClass('t2_and_info_footer_transition');
		$('#container').addClass('container_transition');
		$('#small-circle').addClass('small_circle_transition');
		$('#info-footer').addClass('t2_and_info_footer_transition');
		$('.downHidden').addClass('downHidden_transition');

		var y = event.originalEvent.changedTouches[0].clientY; // Get the vertical coordinate
		if (dragDirect == 'down') {
			$('#t1').css({
				'transform': 'scaleY(1)',
			});
			$('.t2_and_info_footer_transition').css({
				'transform': 'translateY(0px)'
			});
			$('#container').css({
				'opacity': 1
			});
			$('#small-circle').css({
				'transform': 'translate(-50%, 0px)'
			});
			$('.downHidden').css({
				'opacity': 0
			});

			forgedHeight = bodyHeight * 3 / 4;
		} else if (dragDirect == 'up') {
			if (s.number > 8) {

				$('#main #t1').css({
					'transform': 'scaleY(' + 2 / 3.5 / (3.6 / 4) + ')',
					'transform-origin': 'top'
				});
				$('#main  .t2_and_info_footer_transition').css({
					'transform': 'translateY(-' + ((bodyHeight * 3 / 4) * (1 - 2 / 3.5 / (3.6 / 4))) + 'px)'
				});
				$('#main #container').css({
					'opacity': 0
				});
				$('#main #container').css({
					'pointer-events': 'none'
				});

				$('#main #small-circle').css({
					'transform': 'translate(-50%, -' + (bodyHeight * (3.6 / 4 - 2 / 3.5)) / 2 + 'px)'
				});
				$('#main .downHidden').css({
					'opacity': 1
				});
				forgedHeight = bodyHeight * 3.6 / 4;
			} else {

			$('#t1').css({
				'transform': 'scaleY(' + 2 / 3.5 / (3 / 4) + ')',
				'transform-origin': 'top'
			});
			$('.t2_and_info_footer_transition').css({
				'transform': 'translateY(-' + ((bodyHeight * 3 / 4) * (1 - 2 / 3.5 / (3 / 4))) + 'px)'
			});
			$('#container').css({
				'opacity': 0
			});
			$('#container').css({
				'pointer-events': 'none'
			});

			$('#small-circle').css({
				'transform': 'translate(-50%, -' + (bodyHeight * (3 / 4 - 2 / 3.5)) / 2 + 'px)'
			});
			$('.downHidden').css({
				'opacity': 1
			});
					forgedHeight = bodyHeight * 2 / 4;
			}

		}
		dragDirect = '';
	});

});