(function (mdSmart) {
    mdSmart.FC_P02 = mdSmart.FC_P02 || {};
	mdSmart.FC_COM = mdSmart.FC_COM || {};
	var bDebug = false;
    $(document).on('pageinit', 'div[id="FC_P02"]', function (event) {
        console.log('#FC_P02 pageinit.');
		mdSmart.FC_P02.message = mdSmart.FC_COM.message = mdSmart.FC_COM.message != undefined?mdSmart.FC_COM.message:(new mdSmart.msg0xFC());
		$(document).unbind('recieveMessage').bind('recieveMessage',{},  function(event,message){
			mdSmart.FC_P01.showStatus("",message);
		});
    });
	
    $(document).on('pageshow', 'div[id="FC_P02"]', function (event) {
        console.log('#FC_P02 pageshow.');
		$("#FC_P02_BTN_POWER").bind('tap', {}, mdSmart.FC_P02.cmdCtrolPower);
        mdSmart.FC_P02.prepareAndShow();
    });

    $(document).on('pagehide', 'div[id="FC_P02"]', function (event) {
        console.log('#FC_P02 pagehide.');
		
		$("#FC_P02_BTN_POWER").unbind('tap');
		
		$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
		mdSmart.common.isCartBtnLockControl(false);
    });

    mdSmart.FC_P02.prepareAndShow = function() {
        console.log("mdSmart.FC_P02.prepareAndShow");
		bridge.getCardTitle(function(message){
			$("span.title").html(message);
		});
		mdSmart.FC_P02.cmdRequestApplianceStatus();
		$("#FC_P02_BTN_POWER").html(mdSmart.i18n.POWER_OPEN);
		$("#FC_P02_LBL_POWEROFF").html(mdSmart.i18n.FC_P02_LBL_POWEROFF);
		if(bDebug == true){
			var title = JSON.stringify({
				messageBody: "空气净化器"
			});
			bridge.setCardTitle(title);
		}
    };
	// 查询设备状态
	mdSmart.FC_P02.cmdRequestApplianceStatus = function() {
        console.log("function:mdSmart.FC_P02.cmdRequestApplianceStatus");
		var cmdBytes = mdSmart.FC_P02.message.cmdRequestApplianceStatus();
		mdSmart.FC_P02.beforeSendCmd(cmdBytes);
		var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
			mdSmart.FC_P02.showStatus(cmdBytes,data);
		});
		mdSmart.FC_P02.afterSendCmd(cmdId,cmdBytes);
    };
	// 电源控制-开机
	mdSmart.FC_P02.cmdCtrolPower = function() {
		console.log("function:mdSmart.FC_P02.cmdCtrolPower");
        $("#FC_P01_BTN_POWER").html(mdSmart.i18n.POWER_CLOSE);
		if(mdSmart.common.isOperationLock() == true){return false;}
		// 旋转
		if(mdSmart.common.isCartBtnLock()==true){return false;} 
		
		//var cmdBytes = mdSmart.FC_P02.message.cmdCtrolPower(0x01);
		//mdSmart.FC_P02.beforeSendCmd(cmdBytes);
		
		// 旋转
		$("#FC_P02_BTN_POWER").addClass("purifier_03_waiting");
		
        var cmdId = bridge.startCmdProcess(cmdBytes,function(data){
			// 旋转
        	$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
        	mdSmart.common.isCartBtnLockControl(false);
			
			mdSmart.FC_P02.showStatus(cmdBytes,data);
		},function(errorCode){
			if(errorCode== -1) {
				// 旋转
				$("#FC_P02_BTN_POWER").removeClass("purifier_03_waiting");
        		mdSmart.common.isCartBtnLockControl(false);
			}
		});
		mdSmart.FC_P02.afterSendCmd(cmdId,cmdBytes);
    };
	// 命令发送前处理
	mdSmart.FC_P02.beforeSendCmd = function(cmdBytes) {
        console.log("function:mdSmart.FC_P02.beforeSendCmd");
		if(bDebug == true){
			$("span").remove("#messageSpan");
		}
    };
	// 命令发送后处理
	mdSmart.FC_P02.afterSendCmd = function(cmdId, cmdBytes) {
        console.log("function:mdSmart.FC_P02.afterSendCmd");
		// For Debug
		if(bDebug == true){
			var cmdMessageType = cmdBytes[9],cmdMessageBody=cmdBytes.slice(10,cmdBytes.length - 1);;
			var statusMessage = mdSmart.FC_P02.message.getStatusMessage();
			var messageBody = mdSmart.message.createMessageBody(24);
			if(statusMessage != undefined){
				messageBody = statusMessage.slice(10,statusMessage.length - 1);
			}
			var messageType = cmdMessageType;
			if(messageType == 0x03){
				mdSmart.message.setByte(messageBody,0,0xC8);
			}
			if(messageType == 0x02){
				mdSmart.message.setByte(messageBody,0,0xC8);
				mdSmart.message.setBit(messageBody,1,0,mdSmart.message.getBit(cmdMessageBody,1,0));
			}			
			var message = mdSmart.message.createMessage(0xFC,messageType,messageBody);
			var bridgeMessage = mdSmart.message.converMessageToBridgePStr(message);
			bridge.callbackFunction(cmdId,bridgeMessage);
		}
    };
	// 收到消息后处理
	mdSmart.FC_P02.showStatus = function(dataRequest,dataBack){
        console.log("function:mdSmart.FC_P02.showStatus");
		var jsonStatus = mdSmart.FC_P02.message.parseMessageForView(dataBack).status;
		console.log("send message:"+mdSmart.message.convertTo16Str(dataRequest));
		console.log("receive message:"+mdSmart.message.convertTo16Str(dataBack));
		var strStatus = mdSmart.common.showJSON(jsonStatus);
		console.log(strStatus);
		if(jsonStatus.runningState.value == 0x01){
			if($.mobile.activePage.attr("id") == "FC_P02"){
				$.mobile.changePage("#FC_P01", "turn");
			}
		}
		if(bDebug == true){
			var strStatus = mdSmart.common.showJSON(jsonStatus);
			console.log("send message:"+mdSmart.message.convertTo16Str(dataRequest));
			console.log("receive message:"+mdSmart.message.convertTo16Str(dataBack));
			console.log(strStatus);
			//$.mobile.activePage.append('<span id="messageSpan" style="position:relative;top:0px;">'+"<br>s:"+mdSmart.message.convertTo16Str(dataRequest)+"<br>r:"+mdSmart.message.convertTo16Str(dataBack)+"<br>"+strStatus+'</span>');
		}
	}
})(mdSmart);
