(function(mdSmart) {
	var bDebug = false;
	var applianceId = null;
//	var queryState1 = 0;				// 查询检测结果标志位   1  正在查询    0  查询结束
	var timehandle = 0;
	var queryCount = 0;
//	var filterState1 = 0;				// 检测标志位   1  正在检测   0  当前未检测
	var t;
	mdSmart.FC_P03_SUB2_FILTER = mdSmart.FC_P03_SUB2_FILTER || {};
	var deviceID = undefined;
	$(document).on('pageinit', 'div[id="FC_P03_SUB2_FILTER"]', function(event) {
		console.log('#FC_P03_SUB2_FILTER pageinit.');
	});

	$(document).on('pageshow', 'div[id="FC_P03_SUB2_FILTER"]', function(event) {
		console.log('#FC_P03_SUB2_FILTER pageshow.');
		mdSmart.FC_P03_SUB2_FILTER.prepareAndShow();
		$("#filterbtn").bind('tap', {}, mdSmart.FC_P03_SUB2_FILTER.startFilter);
		$("#FC_P03_BTN_STARTFILTER").bind('tap', {}, mdSmart.FC_P03_SUB2_FILTER.startFilter);
	});

	$(document).on('pagehide', 'div[id="FC_P03_SUB2_FILTER"]', function(event) {
		console.log('#FC_P03_SUB2_FILTER pagehide.');
		proTimeCount = 0;	
		var queryState = document.getElementById("queryState");
		queryState.value = 0;
		var filterState = document.getElementById("filterState");
		filterState.value = 0;
		$("#filterbtn").unbind('tap');
		$("#FC_P03_BTN_STARTFILTER").unbind('tap');
	});

	mdSmart.FC_P03_SUB2_FILTER.prepareAndShow = function() {
		console.log("mdSmart.AC_P17.prepareAndShow");
		
		$("#filterVal").html("待检测");
		var prBar = document.getElementById("filterNum");	
		prBar.value = 0;
		$("#cleaningDesc").html("滤网积灰过多会降低空气净化效率，请及时清洁或更换滤网。");	
		
		var parameters = bridge.getPageParameters();	
		if (parameters != null) {
			if (parameters.popFlg == 'pop') {
				mdSmart.FC_P03_SUB2_FILTER.eventSetTimer();
			}
		}
		//acCheckDetails_project();
	};

	// 开启滤网检测
	mdSmart.FC_P03_SUB2_FILTER.startFilter = function() {
		console.log("mdSmart.FC_P03_SUB2_FILTER.startFilter");
		
		var filterState = document.getElementById("filterState");
		var queryState = document.getElementById("queryState");
		if(filterState.value == 1){
//			alert("mdSmart.FC_P03_SUB2_FILTER.startFilter 1");
			return false;
		}
		
		mdSmart.FC_P03_SUB2_FILTER.showload();
		
		timehandle = 0;
		filterState.value = 1;
		$("#filterVal").html(mdSmart.i18n.FILTER_STATUS);
		var prBar = document.getElementById("filterNum");	
		prBar.value = 0;
		applianceId = bridge.getCurrentApplianceID();
		var functionParamers = {
			queryStrings: {
				"serviceUrl": "/filter/TAStartFilter"
			},
			transmitData: {
				"applianceId":applianceId,
				"type": 2
			}
		};
		var result = "";
		var cmdId = bridge.requestDataTransmit(functionParamers, function(messageBack) {
			var jsonString = JSON.stringify(messageBack);
			//alert("111="+jsonString);
			var jsonData = JSON.parse(jsonString);
			var errflag = jsonData.errorCode;
			var result = "";
			if(errflag == 0){					
				var returnData = jsonData.result.returnData;
				var errMsg = returnData.errMsg;
				var errCode = returnData.errCode;
				if(errCode != 0){
					//alert(errMsg);		
					showErrorAlert(errMsg+"["+errCode+"]");
					mdSmart.FC_P03_SUB2_FILTER.filterFail();	
				}else {
					queryState.value = 1;
					queryCount = 0;
					timehandle = window.setTimeout(mdSmart.FC_P03_SUB2_FILTER.queryFilterResult, 5000);
				}
			}else{
				//alert(jsonData.msg + "["+errflag+"]");	
				showErrorAlert(jsonData.msg + "["+errflag+"]");
				mdSmart.FC_P03_SUB2_FILTER.filterFail();	
			}
			proTimeCount = 0;
			mdSmart.FC_P03_SUB2_FILTER.hideload();
		});
	};
	
	// 查询滤网检测
	mdSmart.FC_P03_SUB2_FILTER.queryFilterResult = function() {
		console.log("mdSmart.FC_P03_SUB2_FILTER.queryFilterResult");	
		
		var filterState = document.getElementById("filterState");
		var queryState = document.getElementById("queryState");
		if(queryState.value == 0){
//			alert("mdSmart.FC_P03_SUB2_FILTER.queryFilterResult 111");
			return false;
		}
		
		mdSmart.FC_P03_SUB2_FILTER.showload();
		applianceId = bridge.getCurrentApplianceID();
		var setTemp = parseInt(getCookie(applianceId+"temp")) + parseInt("16");
		var functionParamers = undefined;
		timehandle = 0;
		functionParamers = {
			queryStrings: {
				"serviceUrl": "/filter/TAQueryFilterResult"
			},
			transmitData: {
				"applianceId": applianceId,
				"type": 2
			}
		};
		//alert(JSON.stringify(functionParamers));
		var result = "";
		var cmdId = bridge.requestDataTransmit(functionParamers, function(messageBack) {
			var jsonString = JSON.stringify(messageBack);
			//alert("queryFilterResult11111="+jsonString);
			var jsonData = JSON.parse(jsonString);
			var errflag = jsonData.errorCode;
			var result = "";
			
			if(errflag == 0){				
				var returnData = jsonData.result.returnData;
				var errMsg = returnData.errMsg;
				var errCode = returnData.errCode;
				if(errCode != 0){
					//alert(errMsg);
					showErrorAlert(errMsg+"["+errCode+"]");
					mdSmart.FC_P03_SUB2_FILTER.filterFail();					
				}else {
					var filterStatus = returnData.result.status;
					var filterLevel = returnData.result.level;
					var filterValue = returnData.result.value;
					var filterDesc = returnData.result.description;
					//  1  检测成功   2  检测失败		3  检测中   
					if(filterStatus == 3){
						//alert("queryFilterResult="+jsonString);
						timehandle = window.setTimeout(mdSmart.FC_P03_SUB2_FILTER.queryFilterResult, 5000);
					}else if(filterStatus == 1){
//						$("#filterVal").html(filterValue+"%");
						var prBar = document.getElementById("filterNum");	
						prBar.value = filterValue;
                       if (filterLevel <= 1) {
    							$("#filterVal").html("干净");
    							$('#filterSmallView').attr('style','position:absolute;top: 100px; margin-left: 5%; height: 100px;background-color:green;width: 90%;');
    							
                        } else if (2 == filterLevel) {
    							$("#filterVal").html("脏");
    							$('#filterSmallView').attr('style','position:absolute;top: 100px; margin-left: 5%; height: 100px;background-color:purple;width: 90%;');
    							
                        } else if (3 <= filterLevel) {
   						 	$("#filterVal").html("严重脏");
   						 	$('#filterSmallView').attr('style','position:absolute;top: 100px; margin-left: 5%; height: 100px;background-color:red;width: 90%;');
   					
                        }
						$("#cleaningDesc").html("");			
						$("#cleaningDesc").html(filterDesc);	
						filterState.value = 0;
						queryCount = 254;
						window.clearTimeout(timehandle);
						
					}else if(filterStatus == 2){
						mdSmart.FC_P03_SUB2_FILTER.filterFail();
					}
				}
			}else{
				//alert("error["+errflag+"]");
				showErrorAlert(jsonData.msg + "["+errflag+"]");
				mdSmart.FC_P03_SUB2_FILTER.filterFail();
			}	
			proTimeCount = 0;
			mdSmart.FC_P03_SUB2_FILTER.hideload();
		
	        
			//mdSmart.FC_P03_SUB2_FILTER.showStatus();
		});
		if(queryCount > 254){
				return;
		}
	    queryCount++;
	};
	
	// 检测失败界面处理
	mdSmart.FC_P03_SUB2_FILTER.filterFail = function(){
		$("#filterVal").html("检测失败");
		var prBar = document.getElementById("filterNum");	
		prBar.value = 0;
		$("#cleaningDesc").html("滤网积灰过多会降低空气净化效率，请及时清洁或更换滤网。");
		var filterState = document.getElementById("filterState");
		filterState.value = 0;
	};

	
	// 弹出正在处理提示框
	mdSmart.FC_P03_SUB2_FILTER.showload =function() {
	    proTimeCount = 1;
		bridge.showProgress();
		timerCtrl = window.setTimeout(function() {
		    if(proTimeCount == 1){
		       alert('网络异常。请检查网络状态或稍后重试。');
		       //mdSmart.AC_P05.hideload();
		       proTimeCount = 0;
		       clearTimeout(timerCtrl);
		      }
		    mdSmart.FC_P03_SUB2_FILTER.hideload();
		    },20000);
	};

	// 隐藏正在处理提示框
	mdSmart.FC_P03_SUB2_FILTER.hideload = function () {
		clearTimeout(timerCtrl);
		bridge.closeProgress();
		//clearTimeout(timerCtrl);
		proTimeCount = 0;
	}		
})(mdSmart);

(function(mdSmart) {
	var bDebug = false;
	mdSmart.FC_P07_SUB2_RESETFILTER = mdSmart.FC_P07_SUB2_RESETFILTER || {};
	$(document).on('pageinit', 'div[id="FC_P07_SUB2_RESETFILTER"]', function(event) {
		console.log('#FC_P07_SUB2_RESETFILTER pageinit.');
	});

	$(document).on('pageshow', 'div[id="FC_P07_SUB2_RESETFILTER"]', function(event) {
		console.log('#FC_P07_SUB2_RESETFILTER pageshow.');
		$("#resetfilter").bind('tap', {}, mdSmart.FC_P07_SUB2_RESETFILTER.resetFilterTime);
	});

	$(document).on('pagehide', 'div[id="FC_P07_SUB2_RESETFILTER"]', function(event) {
		console.log('#FC_P07_SUB2_RESETFILTER pagehide.');
//		mdSmart.AC_P05.hideload();
        mdSmart.FC_P07_SUB2_RESETFILTER.hideload();
	});

	mdSmart.FC_P07_SUB2_RESETFILTER.prepareAndShow = function() {
		console.log("mdSmart.FC_P07_SUB2_RESETFILTER.prepareAndShow");
	};

	// 显示条码信息
	mdSmart.FC_P07_SUB2_RESETFILTER.showStatus = function() {
		console.log("function:mdSmart.FC_P07_SUB2_RESETFILTER.showStatus");
		mdSmart.FC_P07_SUB2_RESETFILTER.prepareAndShow();
	};
	
	
	// 开启过滤网基准效验
	mdSmart.FC_P07_SUB2_RESETFILTER.resetFilterTime = function() {
		console.log("mdSmart.FC_P07_SUB2_RESETFILTER.resetFilterTime");
		
//		mdSmart.AC_P05.showload();
        mdSmart.FC_P07_SUB2_RESETFILTER.showload();
		
		applianceId = bridge.getCurrentApplianceID();
		var functionParamers = {
			queryStrings: {
				"serviceUrl": "/filter/TAResetFilterTime"
			},
			transmitData: {
				"applianceId":applianceId,
				"type": 2
			}
		};
		var result = "";
		var cmdId = bridge.requestDataTransmit(functionParamers, function(messageBack) {
			var jsonString = JSON.stringify(messageBack);
			//alert("111="+jsonString);
			var jsonData = JSON.parse(jsonString);
			var errflag = jsonData.errorCode;
			var result = "";
			if(errflag == 0){					
				var returnData = jsonData.result.returnData;
				var errMsg = returnData.errMsg;
				var errCode = returnData.errCode;
				if(errCode != 0){
					//alert(errMsg);		
					showErrorAlert(errMsg+"["+errCode+"]");
				}else {
					$("#filterResetResult").html("校准成功");
					showErrorAlert("亲，过滤网基准效验成功");
				}
			}else{
				showErrorAlert(jsonData.msg + "["+errflag+"]");
			}
//			proTimeCount = 0;
			mdSmart.FC_P07_SUB2_RESETFILTER.hideload();
		});
	};
	// 弹出正在处理提示框
	mdSmart.FC_P07_SUB2_RESETFILTER.showload =function() {
	    proTimeCount = 1;
		bridge.showProgress();
		timerCtrl = window.setTimeout(function() {
		    if(proTimeCount == 1){
		       alert('网络异常。请检查网络状态或稍后重试。');
		       //mdSmart.AC_P05.hideload();
		       proTimeCount = 0;
		       clearTimeout(timerCtrl);
		      }
		    mdSmart.FC_P07_SUB2_RESETFILTER.hideload();
		    },20000);
	};

	// 隐藏正在处理提示框
	mdSmart.FC_P07_SUB2_RESETFILTER.hideload = function () {
		clearTimeout(timerCtrl);
		bridge.closeProgress();
		//clearTimeout(timerCtrl);
		proTimeCount = 0;
	}		
	
})(mdSmart);