(function(mdSmart) {
	var bDebug = false;

	mdSmart.FC_P04 = mdSmart.FC_P04 || {};
	var deviceID = undefined;
	$(document).on('pageinit', 'div[id="FC_P04"]', function(event) {
		console.log('#FC_P04 pageinit.');
		mdSmart.FC_P04.prepareAndShow();
	});

	$(document).on('pageshow', 'div[id="FC_P04"]', function(event) {
		console.log('#FC_P04 pageshow.');
	});

	$(document).on('pagehide', 'div[id="FC_P04"]', function(event) {
		console.log('#FC_P04 pagehide.');
		proTimeCount = 0;
	});

	// 命令发送后处理
	mdSmart.FC_P04.afterSendCmd = function(cmdId, cmdBytes) {
		console.log("function:mdSmart.FC_P04.afterSendCmd");
	};

	mdSmart.FC_P04.prepareAndShow = function() {
		console.log("mdSmart.FC_P04.prepareAndShow");
		showload();
		var buySRC = undefined;
		var deviceType = getCookie(applianceId+"deviceType");
		if(deviceType == "4"){
			buySRC = "http://detail.tmall.com/item.htm?id=42384119972&et_token=2550925dd6cb70df14d99af13947cfaa&et_ver=1.0&mt=";
		}else if(deviceType == "1"){
			buySRC = "http://detail.tmall.com/item.htm?id=42434877424&et_token=8a1c0df89652e2885800fef943037c5e&et_ver=1.0&mt=";
		}
		mdSmart.FC_P04.showStatus(buySRC);
		var parameters = bridge.getPageParameters();
		if (parameters != null) {
			if (parameters.popFlg == 'pop') {
				mdSmart.videoplayer1.eventSetTimer();
			}
		}
	};

	// 根据机型获取视频地址并播放
	mdSmart.FC_P04.showStatus = function(buyUrl) {
		console.log("function:mdSmart.FC_P04.showStatus");
		$("#FC_P04_BUY").attr("src", buyUrl);
		window.onload = function() {
			hideload();
		}
	};

	function showload() {
		bridge.showProgress();
	}

	function hideload() {
		bridge.closeProgress();
	}

})(mdSmart);