// JavaScript Document
//
//  Tx01_COMMON_FUNCTION.js
//  Air-Manager
//
//  Created by GaoLun on 14-11-11.
//  Copyright (c) 2014年 HangZhou DeLan Technology Co., Ltd. All rights reserved.
//


//	全局函数 	================================================================
//	保存页面历史记录数组
var historyPageList	= [];
//	页面切换动画
var changePageType 	= "none";
//	页面回退动画
var backPageType	= "none";
//	保存页面参数
var pageUrlParams	= "";
//  页面打开方式 1 打开, 0 是返回
var	pageOpenType		= 1;

function gotoPage(target_url)
{
	pageOpenType = 1;
	pageUrlParams = target_url;
	historyPageList.push(target_url);
	//alert(target_url);
	//window.location.href = target_url;
	$.mobile.changePage(target_url, { transition: changePageType}, true, true); 
 
}


var lastBackUrl = "";
function gobackPage()
{
	pageOpenType = 0;
	var backPage = historyPageList.pop();
	var hLen = historyPageList.length;
	if(hLen <= 0)
	{
		backPage = "#Tx01_AIR_MANAGER";	
	}
	else
	{
		backPage = historyPageList[hLen-1];
	}

	if(backPage == undefined)
	{
		backPage = "#Tx01_AIR_MANAGER";
	}
	lastBackUrl = window.location.href;
	//alert(window.location.href);
	
	pageUrlParams = backPage;
	$.mobile.changePage(backPage, { transition: backPageType}, true, true);
	
	//window.location.href = backPage;
	//alert(window.location.href);
	if(lastBackUrl == window.location.href)
	{
		gobackPage();
	}
}

function queryRequestString(name) {
    var url = pageUrlParams;
    var urlSearch = url.split("?"); 
    if(urlSearch.length <= 1) return null;
    var itemArray = urlSearch[1].split("&");
    for(var i = 0; i < itemArray.length; i++)
    {
    	var iValue = itemArray[i].split("=");
    	if(iValue.length <= 1) continue;
    	if(iValue[0] == name)
    	{
    		return iValue[1];
    	}
    }
    return null;
}
// 获取uerid
function getCurrentUserID()
{
	//userInfo.userId,365);	//用户ID
	//userInfo.email,365);		//用户名称
	//userInfo.nickName,365); 	//用户邮箱
//	"familyId":"1817",
//"des":"金玉满堂，人寿年丰",
//"creatTime":"2014-10-17 13:56:53",
//"address":"",
//"name":"ert的家",
//"coordinate":"",
//"password":"",
//"createUserId":"10050",
//"isDefault":true,
//"number":"1817"
	if(currentUserInfo == null) return null;
	return parseInt(currentUserInfo.createUserId)

}


// 获取familyId
function getCurrentfamilyId()
{
	//userInfo.userId,365);	//用户ID
	//userInfo.email,365);		//用户名称
	//userInfo.nickName,365); 	//用户邮箱
//	"familyId":"1817",
//"des":"金玉满堂，人寿年丰",
//"creatTime":"2014-10-17 13:56:53",
//"address":"",
//"name":"ert的家",
//"coordinate":"",
//"password":"",
//"createUserId":"10050",
//"isDefault":true,
//"number":"1817"
	if(currentUserInfo == null) return null;
	return parseInt(currentUserInfo.familyId)

}

//// 获取familyId
//function getCurrentapplianceId()
//{
//	if(currentUserInfo == null) return null;
//	return parseInt(currentUserInfo.applianceId)
//}
//	返回到主程序
function goBackToApp()
{
	console.log('Global.goBackToApp');
	bridge.clearWebViewCache();
	bridge.goBack();
}


// 根据roomId, applianceId, 跳转到对应的加点 
function gotoApplianceItem(roomId,applianceId)
{
	console.log('Global.gotoAppliance');
	
	var functionParamers = {
        "applianceId":applianceId.toString()
    };
//  var functionParamers = {
//      "applianceId":"17592186045539",
//  };
    alertDebugText(JSON.stringify(functionParamers));
    var cmdId = bridge.jumpOtherPlugin(functionParamers,function (messageBack) {
        //
        var jsonString = JSON.stringify(messageBack);
        alertDebugText(jsonString);
 
        
        getCommandResult(jsonString);
	});
	 
}
 

//	转换云平台家电类型到管家平台家电类型
//家电类型，1表示空调，2表示净化器，3表示加湿器，4表示除湿机，5表示风扇。
 //applianceType：家电类型，1表示空调，2表示净化器，3表示加湿器，4表示除湿机，5表示风扇。
 //对应主应用中返回给插件的家电类型为AC（空调），FC（净化器），FD（加湿器），A1（除湿机），FA（风扇）。

function transApplianceType(type)
{
	if(type == "AC")
	{
		return 1;
	}
	else if(type == "FC")
	{
		return 2;
	}
	else if(type == "FD")
	{
		return 3;
	}
	else if(type == "A1")
	{
		return 4;
	}
	else if(type == "FA")
	{
		return 5
	}
	return 1;
}




//回家模式（20），离家模式（21），一键OK（22），一键去霾（23），一键干爽（24）。
//聚会模式（30），用餐模式（31），休闲模式（32）。
//一晚好眠（40）
//呵护模式（50），学习模式（51）。
//一晚好眠（60），健康模式（61）。
//
//				party
//				onebtnok
//				leavehome
//				backhome
//				sleep
function transSceneIdToClass(sceneId)
{
	var cName = "leavehome";
	switch(sceneId)
	{
		case 20:	//	回家模式
			cName = "backhome";break;
		case 21:	//	离家模式
			cName = "leavehome";break;
		case 22:	//	一键OK
			cName = "onebtnok";break;
		case 23:	//	一键去霾
			cName = "leavehome";break;
		case 24:	//	一键干爽
			cName = "leavehome";break;
		case 30:	//	聚会模式
			cName = "party";break;
		case 40:
			cName = "sleep";break;
		case 50:	//	呵护模式
			cName = "control_panel_care";break;
		case 51:	//	虚席模式
			cName = "control_panel_study";break;
		default:
			cName = "sleep";break;
	}
	return cName;				
}


function transApplianceTypeToClass(type)
{
	var aClass = "air-condition";
	switch(type)
	{
		case 1:
		aClass = "air-condition";
		break;
		case 2:
		aClass = "purifier";
		break;
		case 3:
		aClass = "humidifier";
		break;
		default:
		aClass = "air-condition";
		break;
	}
	return aClass;
}
//首页上将房间ID转换成类名
//我的e家（2），客厅（3），主卧（4），儿童房（5），老人房（6）
function transIndexHouseIdToClassName(type) {
    var className;
    switch (type){
        case 2:
            className = "control_panel_eroom";
            break;
        case 3:
            className = "control_panel_drawimgroom";
            break;
        case 4:
            className = "control_panel_bedroom";
            break;
        case 5:
            className = "control_panel_childroom";
            break;
        case 6:
            className = "control_panel_olderroom";
            break;
        default :
            className = "control_panel_defaultroom";
            break;
    }
    return className;
}
//首页上情景ID转换成类名
//回家模式（20），离家模式（21），一键OK（22），一键去霾（23），一键干爽（24）。
//聚会模式（30），用餐模式（31），休闲模式（32）。
//一晚好眠（40）
//呵护模式（50），学习模式（51）。
//一晚好眠（60），健康模式（61）。
function transIndexSceneIdToClassName(type) {
    var className;
    switch(type)
    {
        case 20:	//	回家模式
            className = "control_panel_backhome";
            break;
        case 21:	//	离家模式
            className = "control_panel_leavehome";
            break;
        case 22:	//	一键OK
            className = "control_panel_onebtnok";
            break;
        case 23:	//	一键去霾
            className = "control_panel_onebtnclear";
            break;
        case 24:	//	一键干爽
            className = "control_panel_onebtncool";
            break;
        case 30:	//	聚会模式
            className = "control_panel_party";
            break;
        case 31:	//	用餐模式
            className = "control_panel_eating";
            break;
        case 32:	//	休闲模式
            className = "control_panel_entertainment";
            break;
        case 40:    //	一晚好眠
        case 60:
            className = "control_panel_sleep";
            break;
        case 50:	//	呵护模式
            className = "control_panel_care";
            break;
        case 51:	//	学习模式
            className = "control_panel_study";
            break;
        case 61:	//	健康模式
            className = "control_panel_health";
            break;
        default:
            className = "control_panel_defaultscene";
            break;
    }
    return className;
}
//主页上家电ID转换成类名
//1表示空调，2表示净化器，3表示加湿器，4表示除湿机，5表示风扇。
function transIndexApplianceIdToClassName(type) {
    var className;
    switch(type)
    {
        case 1:	//	空调
            className = "control_panel_airCondition";
            break;
        case 2:	//	净化器
            className = "control_panel_purifier";
            break;
        case 3:	//	加湿器
            className = "control_panel_humidifier";
            break;
        case 4:	//	除湿器
            className = "control_panel_dehumidifier";
            break;
        case 5:	//  风扇
            className = "control_panel_blower";
            break;
        default:
            className = "control_panel_airCondition";
            break;
    }
    return className;
}
//情景页面上情景ID转换成类名
function transScenePageSceneIdtoClassName(type) {
    var className;
    switch(type)
    {
        case 20:	//	回家模式
            className = "scene_backhome";
            break;
        case 21:	//	离家模式
            className = "scene_leavehome";
            break;
        case 22:	//	一键OK
            className = "scene_onebtnok";
            break;
        case 23:	//	一键去霾
            className = "scene_onebtnclear";
            break;
        case 24:	//	一键干爽
            className = "scene_onebtncool";
            break;
        case 30:	//	聚会模式
            className = "scene_party";
            break;
        case 31:	//	用餐模式
            className = "scene_eating";
            break;
        case 32:	//	休闲模式
            className = "scene_entertainment";
            break;
        case 40:    //	一晚好眠
        case 60:
            className = "scene_sleep";
            break;
        case 50:	//	呵护模式
            className = "scene_care";
            break;
        case 51:	//	学习模式
            className = "scene_study";
            break;
        case 61:	//	健康模式
            className = "scene_health";
            break;
        default:
            className = "scene_default";
            break;
    }
    return className;
}
//选择房间页面上房间ID转换成类名
function transChoiceHouseHouseIdToClassName(type) {
    var className;
    switch (type){
        case 2:
            className = "icon_ehome";
            break;
        case 3:
            className = "icon_drawingroom";
            break;
        case 4:
            className = "icon_bedroom";
            break;
        case 5:
            className = "icon_oldroom";
            break;
        case 6:
            className = "icon_childroom";
            break;
        default :
            className = "icon_defaultroom";
            break;
    }
    return className;
}
//我的家电页面上家电ID转换成类名
//1表示空调，2表示净化器，3表示加湿器，4表示除湿机，5表示风扇。
function transMyApplianceApplianceIdToClassName(type) {
    var className;
    switch(type)
    {
        case 1:	//	空调
            className = "my_appliance_airCondition";
            break;
        case 2:	//	净化器
            className = "my_appliance_purifier";
            break;
        case 3:	//	加湿器
            className = "my_appliance_humidifier";
            break;
        case 4:	//	除湿器
            className = "my_appliance_dehumidifier";
            break;
        case 5:	//  风扇
            className = "my_appliance_blower";
            break;
        default:
            className = "my_appliance_airCondition";
            break;
    }
    return className;
}
//情景预约、选择情景页面上情景ID转换成类名
function transResSceneChoiceSceneSceneIdToClassName(type) {
    var className;
    switch(type)
    {
        case 20:	//	回家模式
            className = "icon_backhome";
            break;
        case 21:	//	离家模式
            className = "icon_leavehome";
            break;
        case 22:	//	一键OK
            className = "icon_onebtnok";
            break;
        case 23:	//	一键去霾
            className = "icon_onebtnclear";
            break;
        case 24:	//	一键干爽
            className = "icon_onebtncool";
            break;
        case 30:	//	聚会模式
            className = "icon_party";
            break;
        case 31:	//	用餐模式
            className = "icon_eating";
            break;
        case 32:	//	休闲模式
            className = "icon_entertainment";
            break;
        case 40:    //	一晚好眠
        case 60:
            className = "icon_sleep";
            break;
        case 50:	//	呵护模式
            className = "icon_care";
            break;
        case 51:	//	学习模式
            className = "icon_study";
            break;
        case 61:	//	健康模式
            className = "icon_health";
            break;
        default:
            className = "icon_scene_default";
            break;
    }
    return className;
}
//家电预约、选择家电页面上家电ID转换成类名
function transResAppliChoiceAppliAppliIdToClassName(type) {
    var className;
    switch(type)
    {
        case 1:	//	空调
            className = "icon_airCondition";
            break;
        case 2:	//	净化器
            className = "icon_purifier";
            break;
        case 3:	//	加湿器
            className = "icon_humidifier";
            break;
        case 4:	//	除湿器
            className = "icon_dehumidifier";
            break;
        case 5:	//  风扇
            className = "icon_blower";
            break;
        default:
            className = "icon_airCondition";
            break;
    }
    return className;
}

//	全局函数 	================================================================
