// JavaScript Document

//	用户ID
var COOKIE_USERID 		= "Tx01DATAUSERID";
//	用户名称
var COOKIE_USERNAME		= "Tx01DATAUSERNAME";
//	用户邮箱
var COOKIE_USEREMAIL	= "Tx01DATAUSEREMAIL";
//	是否首次登录	
var	COOKIE_FIRSTLOGIN	= "Tx01DATAFIRSTLOGIN";
//	记录选中的房间
var COOKIE_ROOM_SELECTED= "Tx01DATAROOMSELECTED"
 
 
 //	是否是调试模式
var DEBUG_MODE			= true;

//	COOKIE过期时间
var COOKIE_EXPIRED		= 365;



function showload (text) {
    $("#alertbg").show().children("#yliload").show();
    if(text !== undefined) $("#yliload .loadinfo").html(text);
}
function hideload () {
    $("#alertbg").hide().children("#yliload").hide();
}

function showalert (text) {
    $("#alertbg").show().children("#ylialert").show();
    if(text !== undefined) $(".alertinfo").html(text);
}
function hidealert () {
    $("#alertbg").hide().children("#ylialert").hide();
}
function showauto (text) {
    $("#alertbg").show().children("#alertautohide").show();
    if(text !== undefined) $("#alertautohide .alertinfo").html(text);
    setTimeout(function () {
        $("#alertbg").fadeOut("slow").children("#alertautohide").fadeOut("slow");
    },2000);
}
    
//显示加载器  
function showLoader() {  
    //显示加载器.for jQuery Mobile 1.2.0  
    $.mobile.loading('show', {  
        text: '加载中...', //加载器中显示的文字  
        textVisible: true, //是否显示文字  
        theme: 'a',        //加载器主题样式a-e  
        textonly: false,   //是否只显示文字  
        html: ""           //要显示的html内容，如图片等  
    });  
}  
  
//隐藏加载器.for jQuery Mobile 1.2.0  
function hideLoader()  
{  
    //隐藏加载器  
    $.mobile.loading('hide');  
}     
    
    
function getUserID()
{
	var userId = getCookie(COOKIE_USERID);
	if(userId == null || userId.length == 0) // 用户id 不存在,或者是未登录
	{
		return null;	
	}
	return parseInt(userId);
}

function showErrorAlert(txt)
{
	 var functionParamers = {
               title : "提示",
               message :txt,
               btnText : "确定"
           };
    bridge.showAlert(functionParamers);
	//alert(txt);
	//showauto(txt);
}

function showReturnError(retData)
{
	var errCode = 0;
	var errMesg = '';
	 
	//alert(JSON.stringify(retData));
	//var jsonData = JSON.parse(JSON.stringify(retData));


	for(var o in retData)
	{   
		if(o.toString() == 'msg' 
			|| o.toString() == 'errMsg')
		{ 
			errMesg = JSON.stringify(retData[o]);
		}	 
		else if(o.toString() == 'errorCode' 
			|| o.toString() == 'errCode')
		{
			errCode = JSON.stringify(retData[o]);
		} 		
	} 
			
	if(errCode != "0" && errCode != 0)
	{
		var errTxt = "ERR["+errCode+"]:"+errMesg;
		showErrorAlert(errTxt);	
		return false;
	}
	return true;
}


// {"errorCode":0, "result":{"returnData":{"errCode":"1", ....}}}  
function getResultData(message)
{
	var errMainCode = 0;
	var errMainMesg = "";
	var errSubCode = 0;
	var errSubMesg = "";
 
	var jsonResult = JSON.parse(message);
 
	errMainCode = jsonResult.errorCode;
	if(errMainCode == undefined || errMainCode == null)
	{
		errMainCode = jsonResult.errCode;
	}
	if(errMainCode != 0 && errMainCode != "0") 		//	 有主类型错误
	{
		errMainMesg = jsonResult.msg;
		if(errMainMesg == undefined || errMainMesg == null)
		{
			errMainMesg = jsonResult.errMessage;	
		}
		var errTxt = "ERR["+errMainCode+"]:"+errMainMesg;
		showErrorAlert(errTxt);
		return null;
	}
	else	//	主框架无错误
	{
		//	主框架里的返回值
		var resultData = JSON.parse(JSON.stringify(jsonResult.result));//{"returnData":{"errCode":"1", ....}}
		//	管家平台返回数据
 
		var returnData = JSON.parse(JSON.stringify(resultData.returnData));//{"errCode":"1", ....}

		errSubCode = returnData.errCode;
		if(errSubCode == null || errSubCode.length == 0 )
		{
			showErrorAlert("格式不正确:"+message);
			return null;
		}
		//	判断管家平台返回是否有错误
		if(errSubCode != 0 && errSubCode != "0") 		//	 有子类型错误
		{
			errSubMesg = returnData.errMsg;
			var errTxt = "ERR["+errSubCode+"]:"+errSubMesg;
			showErrorAlert(errTxt);
			return null;
		}
		else
		{
			return returnData.result;
		}
	}
	return null;
}


function getCommandResult(message)
{
	var errMainCode = 0;
	var errMainMesg = "";
	var errSubCode = 0;
	var errSubMesg = "";
 
	var jsonResult = JSON.parse(message);
  
	errMainCode = jsonResult.errorCode;
	alertDebugText(errMainCode);
 
	if(errMainCode == undefined || errMainCode == null)
	{
		errMainCode = jsonResult.errCode;
	}
	if(errMainCode != 0 && errMainCode != "0") 		//	 有主类型错误
	{
		errMainMesg = jsonResult.msg;
		if(errMainMesg == undefined || errMainMesg == null)
		{
			errMainMesg = jsonResult.errMessage;	
		}
		var errTxt = "ERR["+errMainCode+"]:"+errMainMesg;
		showErrorAlert(errTxt);
		return true;
	}
	else	//	主框架无错误
	{
		//	主框架里的返回值
		var resultData = JSON.parse(JSON.stringify(jsonResult.result));//{"returnData":{"errCode":"1", ....}}
		//	管家平台返回数据
 
		var returnData = JSON.parse(JSON.stringify(resultData.returnData));//{"errCode":"1", ....}

		errSubCode = returnData.errCode;
		//	判断管家平台返回是否有错误
		if(errSubCode != 0 && errSubCode != "0") 		//	 有主类型错误
		{
			errSubMesg = returnData.errMsg;
			var errTxt = "ERR["+errSubCode+"]:"+errSubMesg;
			showErrorAlert(errTxt);
			return false;
		}
		else
		{
			return true;
		}
	} 
	return false;
}

function alertDebugText(mesg)
{
	if(DEBUG_MODE)
	{
		//$('#js_debug_msg').html('需要输出的信息');  
		//alert(mesg); 
		console.log(mesg);
	}
}
function printDebugText(mesg)
{
	if(DEBUG_MODE)
	{
		//$('#js_debug_msg').html('需要输出的信息');  
		document.getElementById('js_debug_msg').innerHTML = mesg; 
	}
}
function __js_debug_msg() 
{
	if(DEBUG_MODE)
	{  
		var mydiv = document.createElement('div');  
		mydiv.id = "js_debug_msg";  
		mydiv.setAttribute('style','position:absolute;width:100%;height:40px;padding:5px;background:#333;line-height:20px;color:#FFF;margin-top:0px;top:0px;left:0px;');  
		mydiv.innerHTML="debug message.";  
		document.body.appendChild(mydiv); 
	}
}  








function IsURL(str_url){
  var strRegex = "^((https|http|ftp|rtsp|mms)?://)"
        + "?(([0-9a-z_!~*'().&=+$%-]+: )?[0-9a-z_!~*'().&=+$%-]+@)?" //ftp的user@
        + "(([0-9]{1,3}/.){3}[0-9]{1,3}" // IP形式的URL- 199.194.52.184
        + "|" // 允许IP和DOMAIN（域名）
        + "([0-9a-z_!~*'()-]+/.)*" // 域名- www.
        + "([0-9a-z][0-9a-z-]{0,61})?[0-9a-z]/." // 二级域名
        + "[a-z]{2,6})" // first level domain- .com or .museum
        + "(:[0-9]{1,4})?" // 端口- :80
        + "((/?)|" // a slash isn't required if there is no file name
        + "(/[0-9a-z_!~*'().;?:@&=+$,%#-]+)+/?)$";
        var re=new RegExp(strRegex);
        if (re.test(str_url)){
            return (true);
        }else{
            return (false);
        }
    }
    
//使用的时候：$.request.queryString["name"]就可以了
$.request = (function () { 
    var apiMap = {}; 
    function request(queryStr) { 
        var api = {}; 
        if (apiMap[queryStr]) { return apiMap[queryStr]; } 
        api.queryString = (function () { 
            var urlParams = {}; 
            var e, 
            d = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); }, 
            q = queryStr.substring(queryStr.indexOf('?') + 1), 
            r = /([^&=]+)=?([^&]*)/g; 
            while (e = r.exec(q))     urlParams[d(e[1])] = d(e[2]);
            return urlParams; 
        })(); 
        api.getUrl = function () { 
            var url = queryStr.substring(0, queryStr.indexOf('?') + 1); 
            for (var p in api.queryString) { url += p + '=' + api.queryString[p] + "&";        } 
            if (url.lastIndexOf('&') == url.length - 1) { return url.substring(0, url.lastIndexOf('&')); } 
            return url; 
        } 
        apiMap[queryStr] = api; 
        return api; 
    } 
    $.extend(request, request(window.location.href)); 
    return request; 
})();

 
//function queryRequestString(name) {
//  var url = window.location.href;
//  var urlSearch = url.split("?"); 
//  if(urlSearch.length <= 1) return null;
//  var itemArray = urlSearch[1].split("&");
//  for(var i = 0; i < itemArray.length; i++)
//  {
//  	var iValue = itemArray[i].split("=");
//  	if(iValue.length <= 1) continue;
//  	if(iValue[0] == name)
//  	{
//  		return iValue[1];
//  	}
//  }
//  return null;
//  alert(urlSearch[1]);
//  if(urlSearch.length <= 1) return null;
//  var pattern = new RegExp("[?&]"+name+"\=([^&]+)", "g");
//  var matcher = pattern.exec(urlSearch[1]);
//  var items = null;
//  if(null != matcher)
//  {
//  	alert(matcher);
//     	try
//     	{
//			items = decodeURIComponent(decodeURIComponent(matcher[1]));
//     	}
//     	catch(e)
//     	{
//                  try{
//                          items = decodeURIComponent(matcher[1]);
//                  }catch(e){
//                          items = matcher[1];
//                  }
//          }
//  }
//  return items;
//}